package com.project.zcustom.service.synchronization;

import com.project.zcustom.domain.access.PlatAccess;
import com.project.zcustom.domain.addional.*;
import com.project.zcustom.domain.basics.PlatBasics;
import com.project.zcustom.domain.basics.PlatBasicsCompany;
import com.project.zcustom.domain.basics.PlatBasicsServer;
import com.project.zcustom.domain.basics.PlatBasicsSystem;
import com.project.zcustom.domain.employee.PlatEmployeeHealth;
import com.project.zcustom.domain.employee.PlatEmployeeHealthIllness;
import com.project.zcustom.domain.employee.PlatEmployeeType;
import com.project.zcustom.domain.employee.PlatEmployeeTypeFlow;
import com.project.zcustom.domain.post.PlatPostStation;
import com.project.zcustom.domain.post.PlatPostStationChart;
import com.project.zcustom.domain.property.PlatProperty;
import com.project.zcustom.domain.property.PlatPropertyList;
import com.project.zcustom.domain.property.PlatPropertyTools;
import com.project.zcustom.domain.smart.*;

import java.util.List;

public interface IPlatSynchronizeService {
    List<PlatAccess> getServiceAccess();

    List<PlatBasics> getServiceBasics();

    List<PlatBasicsCompany> getServiceBasicsCompany();

    List<PlatBasicsServer> getServiceBasicsServer();

    List<PlatBasicsSystem> getServiceBasicsSystem();

    List<PlatEmployeeHealth> getServiceHealth();

    List<PlatEmployeeHealthIllness> getServiceHealthIllness();

    List<PlatEmployeeType> getServiceEmployeeType();

    List<PlatEmployeeTypeFlow> getServiceEmployeeTypeFlow();



    List<PlatGreenFoods> getServiceGreenFoods();

    List<PlatGreenSmart> getServiceGreenSmart();

    List<PlatGreenSmartOther> getServiceGreenSmartOther();

    List<PlatGreenSmartRank> getServiceGreenSmartRank();

    List<PlatGreenSmartSafety> getServiceGreenSmartSafety();



    List<PlatPostStation> getServicePostStation();

    List<PlatPostStationChart> getServicePostStationChart();


    List<PlatProperty> getServiceProperty();

    List<PlatPropertyList> getServicePropertyList();

    List<PlatPropertyTools> getServicePropertyTools();

    List<LargeBuilding> getServiceBuilding();

    List<LargeBuildingControl> getServiceBuildingControl();

    List<LargeBuildingControlAmmeterDetail> getServiceBuildingAmmeterDetail();

    List<LargeBuildingLoadDetail> getServiceBuildingLoadDetail();



    List<LargeCamera> getServiceEngineerCamera();

    List<LargeIssue> getServiceEngineerIssue();

    List<LargePlan> getServiceEngineerPlan();

    List<LargeProject> getServiceEngineerProject();




    List<LargeHousingLand> getServiceLogisticsHousing();

    List<LargeLogistics> getServiceLogistics();

    List<LargeAssetDirs> getServiceLogisticsBuildingAsset();

    List<LargeAssetDirs> getServiceLogisticsOfficeAsset();

    List<LargeAssetDirs> getServiceLogisticsServiceAsset();

    List<LargeCar> getServicePublicCar();

    List<LargeCarDetail> getServicePublicCarChange();

    List<LargeWarnDetail> getServicePublicCarWarn();

    List<LargeCarRank> getServicePublicCarRank();
}
